# Отладка, переменные: ДЗ

## Calc

Обратите внимание на те или иные расчеты, нужные вам в обычной жизни. Это может быть оплата за электричество, количество километров, пройденных за месяц (если вы, например, ходите по одному и тому же маршруту каждый день), количество батонов, кофе, масла, всего чего
угодно и так далее. Так же можете написать любую калькуляцию, нужную вам в работе. Представьте это в форме кода, подобного следующему:

```javascript
var firstParameter = 5; //смысл переменной
var secondParameter = 10; //иной комментарий, поясняющий переменную

var somePartialResult = firstParameter*5; //суть переменной и формулы
var someOtherPartialResult = secondParameter/100500; //

var result = somePartialResult + someOtherPartialResult; //суть результата и переменной
```

То есть, напишите калькуляцию, которая из входных данных подсчитывает результат, с осмысленными названиями переменных и комментариями к ним и формулам, использованным в калькуляции. Входные данные задавайте *литерально* в коде.

## CalcDebug

Поиграйтесь со значениями переменных, задайте иные входные значения, измените значения промежуточных, используя **Developer Tools**. Отметьте для себя, как подобные *хаки* влияют на результат.

## CalcJQ

Добавьте возможность ввода и расчета данных, используя jQuery и верстку. Чем удобней будет для пользователя - тем лучше. 

## Host

Выложите ваши наработки в git (репозиторий homework, папка js/01) и на хостинг: js01.username.fe5.a-level.com.ua. Если вы еще не зарегистрированы, у вас что-то не получается и так далее - обращайтесь, но вначале ознакомьтесь с документацией по git и 
http://gitlab.a-level.com.ua/gitgod/FrontendLectures/src/master/gitConvention.md.

## Задание на синий пояс

Сделайте форму логина и пароля, которая по кнопке `login` будет сверять логин и пароль с ассоциативным массивом:

```javascript
var credentials = {
    login: 'admin',
    password: 'qwerty',
};
```

и отображать в случае успеха зеленый `div` с поздравлением или красный `div` с текстом ошибки.
